# Installation

## Full Arch installation
Add the host to `inventory/hosts` and configure a
`inventory/host_vars/<host>.yaml`

Boot Arch install media with zfs and ansible included, eg:
https://git.klowner.com/mark/archiso-klowner

From the archiso:
```bash
ansible-pull -U https://git.klowner.com/mark/ansible-workstation \
    -l <hostname> \
    -e root_password=<password>
```

After system installation, reboot the system and boot from the newly installed
system, then run `ansible-pull` again to provision the software & user
environments.

After logging in as root:
```bash
ansible-pull -U https://git.klowner.com/mark/ansible-workstation
```
*NOTE: neither root password or host name is needed here*

## System environment provisioning
*TODO*
